package opc.ua.services.common;

import java.util.Date;

public class RequestHeader {

	private SessionAuthenticationToken authenticationToken;
	private Date timestamp;
	
	/** IntegerId **/
	private Integer requestHandle;
	
	private long returnDiagnostics;
	private String auditEntryId;
	private long timeoutHint;
	
	/** Extensible Parameter AdditionalHeader **/
	private Object additionalHeader;

	
	public SessionAuthenticationToken getAuthenticationToken() {
		return authenticationToken;
	}

	public void setAuthenticationToken(
			SessionAuthenticationToken authenticationToken) {
		this.authenticationToken = authenticationToken;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	public Integer getRequestHandle() {
		return requestHandle;
	}

	public void setRequestHandle(Integer requestHandle) {
		this.requestHandle = requestHandle;
	}

	public long getReturnDiagnostics() {
		return returnDiagnostics;
	}

	public void setReturnDiagnostics(long returnDiagnostics) {
		this.returnDiagnostics = returnDiagnostics;
	}

	public String getAuditEntryId() {
		return auditEntryId;
	}

	public void setAuditEntryId(String auditEntryId) {
		this.auditEntryId = auditEntryId;
	}

	public long getTimeoutHint() {
		return timeoutHint;
	}

	public void setTimeoutHint(long timeoutHint) {
		this.timeoutHint = timeoutHint;
	}

	public Object getAdditionalHeader() {
		return additionalHeader;
	}

	public void setAdditionalHeader(Object additionalHeader) {
		this.additionalHeader = additionalHeader;
	}
	
}
